# $Id: ktoblzcheck.m4,v 1.3 2003/10/26 04:46:54 aquamaniac Exp $
# (c) 2002 Martin Preuss<martin@libchipcard.de>
# This function checks if KTOBLZCHECK is wanted and locates it

AC_DEFUN(AQ_CHECK_KTOBLZCHECK,[
dnl PREREQUISITES:
dnl   none
dnl IN: 
dnl   nothing
dnl OUT:
dnl   Variables:
dnl     ktoblzcheck_libraries: Path to the KTOBLZCHECK libraries (subst)
dnl     ktoblzcheck_lib: KTOBLZCHECK libraries to link against (subst)
dnl     ktoblzcheck_includes: Path to the KTOBLZCHECK includes (subst)
dnl     ktoblzcheck_datafile: Path to ktoblzcheck data file
dnl     ktoblzcheck_available: "yes" if KTOBLZCHECK is available
dnl   Defines:

dnl check if ktoblzcheck is desired
AC_MSG_CHECKING(if KTOBLZCHECK should be used)
AC_ARG_ENABLE(ktoblzcheck,
  [  --enable-ktoblzcheck             enable ktoblzcheck (default=yes)],
  enable_ktoblzcheck="$enableval",
  enable_ktoblzcheck="yes")
AC_MSG_RESULT($enable_ktoblzcheck)

if test "$enable_ktoblzcheck" != "no"; then

dnl ******* ktoblzcheck includes ***********
AC_MSG_CHECKING(for ktoblzcheck includes)
AC_ARG_WITH(ktoblzcheck-includes, [  --with-ktoblzcheck-includes=DIR adds ktoblzcheck include path],
  [ktoblzcheck_search_inc_dirs="$withval"],
  [ktoblzcheck_search_inc_dirs="/usr/local/include /usr/include"])

dnl search for ktoblzcheck
AQ_SEARCH_FOR_PATH([ktoblzcheck.h],[$ktoblzcheck_search_inc_dirs])
if test -z "$found_dir" ; then
  AC_MSG_RESULT(not found)
else
  ktoblzcheck_includes="-I$found_dir"
  AC_MSG_RESULT($ktoblzcheck_includes)
fi


dnl ******* ktoblzcheck lib ***********
AC_MSG_CHECKING(for ktoblzcheck lib)
AC_ARG_WITH(ktoblzcheck-libname, [  --with-ktoblzcheck-libname=NAME  specify the name of the ktoblzcheck library],
  [ktoblzcheck_search_lib_names="$withval"],
  [ktoblzcheck_search_lib_names="libktoblzcheck.so \
	                 libktoblzcheck.so.* \
	                 libktoblzcheck.a"])

AC_ARG_WITH(ktoblzcheck-libs, [  --with-ktoblzcheck-libs=DIR  adds ktoblzcheck library path],
  [ktoblzcheck_search_lib_dirs="$withval"],
  [ktoblzcheck_search_lib_dirs="/usr/local/lib \
		       /usr/lib \
		       /lib"])

dnl search for ktoblzcheck libs
for d in $ktoblzcheck_search_lib_dirs; do
  AQ_SEARCH_FILES("$d",$ktoblzcheck_search_lib_names)
  if test -n "$found_file" ; then
     ktoblzcheck_libraries="-L$d"
     ktoblzcheck_lib="-l`echo $found_file | sed 's/lib//;s/\.so*//;s/\.a//'`"
     break
  fi
done


if test -z "$ktoblzcheck_libraries" -o -z "$ktoblzcheck_lib" -o -z "$ktoblzcheck_includes"; then
    ktoblzcheck_available="no"
    AC_MSG_RESULT(not found)
else
    ktoblzcheck_available="yes"
    AC_MSG_RESULT($ktoblzcheck_libraries ${ktoblzcheck_lib})
fi


dnl ******* ktoblzcheck datafile ***********
AC_MSG_CHECKING(for ktoblzcheck datafile)
AC_ARG_WITH(ktoblzcheck-datafile, [  --with-ktoblzcheck-datafile=FILE uses the given file],
  [ktoblzcheck_search_data_dirs="$withval"],
  [ktoblzcheck_search_data_dirs="/usr/local/share/ktoblzcheck \
    /usr/share/ktoblzcheck"])

dnl search for ktoblzcheck
AQ_SEARCH_FOR_PATH([bankdata.txt],[$ktoblzcheck_search_data_dirs])
if test -z "$found_dir" ; then
  AC_MSG_RESULT(not found)
else
  ktoblzcheck_datafile="$found_dir/bankdata.txt"
  AC_MSG_RESULT($ktoblzcheck_datafile)
fi




# end of "if enable-ktoblzcheck"
fi
AC_SUBST(ktoblzcheck_includes)
AC_SUBST(ktoblzcheck_libraries)
AC_SUBST(ktoblzcheck_lib)
AC_SUBST(ktoblzcheck_datafile)
])

