%define is_mandrake %(test -e /etc/mandrake-release && echo 1 || echo 0)
%define is_suse %(test -e /etc/SuSE-release && echo 1 || echo 0)
%define is_fedora %(test -e /etc/fedora-release && echo 1 || echo 0)

%define dist redhat
%define disttag rh

%if %is_mandrake
%define dist mandrake
%define disttag mdk
%endif
%if %is_suse
%define dist suse
%define disttag suse
%endif
%if %is_fedora
%define dist fedora
%define disttag rhfc
%endif

%define distver %(release="`rpm -q --queryformat='%{VERSION}' %{dist}-release 2>/dev/null`" ; if test $? != 0 ; then release="" ; fi ; echo "$release")

Summary: A free client-side implementation of HBCI (German Online Banking)
Name: openhbci2
Version: 1.9.3
Release: 1.%{disttag}%{distver}
Source: http://download.sourceforge.net/openhbci/%{name}-%{version}.tar.gz
BuildRequires: openssl-devel gwenhywfar-devel >= 0.9.10.0 gcc >= 3.0
Group: System Environment/Libraries
License: LGPL
Packager: Martin Preuss <martin@libchipcard.de>
URL: http://www.openhbci.de
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/ldconfig

%description
OpenHBCI is the first free client-side implementation of the HBCI
specification. HBCI (Home Banking Computer Interface) is the German
homebanking standard used by many German banks.  For chipcard support,
additionally the package openhbci-plugin-ddvcard is needed.  For actual
homebanking, use an application like AqMoney (http://aqmoney.sf.net)
or GnuCash (http://www.gnucash.org)

%package devel
Summary: OpenHBCI development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
This package contains openhbci-config and header files for writing and
compiling programs using OpenHBCI.


%prep
%setup -q

%build
%configure --disable-static
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS README TODO COPYING ChangeLog
#%{_bindir}/rdhconverter
%{_bindir}/hbcixml
%{_libdir}/*.so.*
%{_libdir}/openhbci2
%{_datadir}/openhbci2

%files devel
%defattr(-,root,root,0755)
%{_bindir}/openhbci2-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
#%{_libdir}/*.a
%{_datadir}/aclocal/openhbci2.m4

%changelog
