/***************************************************************************
  $RCSfile: transporter.cpp,v $
  -------------------
  cvs         : $Id: transporter.cpp,v 1.2 2004/01/29 11:52:13 cstim Exp $
  begin       : Sat Jul 05 2003
  copyright   : (C) 2003 by Martin Preuss
  email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#include "transporter.h"
#include <assert.h>

namespace HBCI {

  Transporter::Transporter(const string &address,
			   const string & port,
			   int timeout)
  :_address(address), _port(port), _timeout(timeout){
  }


  Transporter::~Transporter(){
  }
} // namespace


const char *HBCI_Transporter_address(const HBCI_Transporter *t)
{
    assert(t);
    return t->address().c_str();
}
const char *HBCI_Transporter_port(const HBCI_Transporter *t)
{
    assert(t);
    return t->port().c_str();
}
TransportType HBCI_Transporter_transportType(const HBCI_Transporter *t)
{
    assert(t);
    return t->transportType();
}
