/***************************************************************************
 $RCSfile: msgengine.cpp,v $
                             -------------------
    cvs         : $Id: msgengine.cpp,v 1.2 2004/01/29 11:52:13 cstim Exp $
    begin       : Sun Jul 06 2003
    copyright   : (C) 2003 by Martin Preuss
    email       : openhbci@aquamaniac.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifdef HAVE_CONFIG_H
# include <config.h>
#endif


#include "msgengine.h"
#include <assert.h>

namespace HBCI {

  MessageEngine::MessageEngine(Hbci *hbci,
			       int country,
			       const string &bankCode)
  :_hbci(hbci), _country(country), _bankCode(bankCode)
  {
  }

  MessageEngine::~MessageEngine(){
  }

}; // namespace




HBCI_Hbci *HBCI_MessageEngine_hbci(const HBCI_MessageEngine *h)
{
    assert(h);
    return h->hbci();
}
int HBCI_MessageEngine_country(const HBCI_MessageEngine *h)
{
    assert(h);
    return h->country();
}
const char *HBCI_MessageEngine_bankCode(const HBCI_MessageEngine *h)
{
    assert(h);
    return h->bankCode().c_str();
}
