/***************************************************************************
  $RCSfile: dtausplugin.h,v $
  -------------------
  cvs         : $Id: dtausplugin.h,v 1.2 2004/01/19 20:20:35 aquamaniac Exp $
  begin       : Wed Oct 22 2003
  copyright   : (C) 2003 by Martin Preuss
  email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DTAUSPARSERPLUGIN_H
#define DTAUSPARSERPLUGIN_H


#define DTAUSPARSER_VMAJOR 1
#define DTAUSPARSER_VMINOR 0

#define DTAUS_MODULE_CURRENT 0
#define DTAUS_MODULE_REVISION 0
#define DTAUS_MODULE_AGE 0


#include <openhbci2/parserplugin.h>
#include "dtausparser.h"


namespace HBCI {
  /**
   * This plugin adds support for DTAUS to OpenHBCI.
   * @author Martin Preuss<martin@libchipcard.de>
   */
  class DtausParserPlugin: public ParserPlugin {
  private:
    DTAUSParser _parser;

  public:
    DtausParserPlugin(Hbci *hbci);
    virtual ~DtausParserPlugin();

    virtual string pluginName() const { return "dtaus";};
    virtual string description() const { return "DTAUS parser";};
    virtual unsigned int vmajor() const { return DTAUSPARSER_VMAJOR;};
    virtual unsigned int vminor() const { return DTAUSPARSER_VMINOR;};


    virtual int readBinType(GWEN_XMLNODE *node,
			    GWEN_DB_NODE *gr,
                            GWEN_BUFFER *gbuf);

    virtual int writeBinType(GWEN_XMLNODE *node,
                             GWEN_DB_NODE *gr,
                             GWEN_BUFFER *gbuf);

  };
}; /* namespace */




#endif



