/***************************************************************************
  $RCSfile: msgenginehbci_p.h,v $
  -------------------
  cvs         : $Id: msgenginehbci_p.h,v 1.4 2004/01/19 18:53:50 aquamaniac Exp $
  begin       : Mon Jul 07 2003
  copyright   : (C) 2003 by Martin Preuss
  email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef MSGENGINEHBCI_P_H
#define MSGENGINEHBCI_P_H

#include "msgenginehbci.h"

int MsgEngineHBCI_ReadBinType(GWEN_MSGENGINE *e,
                              GWEN_XMLNODE *node,
                              GWEN_DB_NODE *gr,
                              GWEN_BUFFER *dbuf);
int MsgEngineHBCI_WriteBinType(GWEN_MSGENGINE *e,
                               GWEN_XMLNODE *node,
                               GWEN_DB_NODE *gr,
                               GWEN_BUFFER *dbuf);

/**
 * @return -1 on error, 1 if type unknown to this function, 0 if ok
 */
int MsgEngineHBCI_TypeRead(GWEN_MSGENGINE *e,
                           GWEN_BUFFER *msgbuf,
                           GWEN_XMLNODE *node,
                           GWEN_BUFFER *vbuf,
                           char escapeChar,
                           const char *delimiters);
int MsgEngineHBCI_TypeWrite(GWEN_MSGENGINE *e,
                            GWEN_BUFFER *gbuf,
                            GWEN_BUFFER *data,
                            GWEN_XMLNODE *node);
GWEN_DB_VALUETYPE MsgEngineHBCI_TypeCheck(GWEN_MSGENGINE *e,
                                          const char *tname);

const char *MsgEngineHBCI_GetCharValue(GWEN_MSGENGINE *e,
                                       const char *name,
                                       const char *defValue);


#endif


