/***************************************************************************
 $RCSfile: msgxmlqueue.h,v $
                             -------------------
    cvs         : $Id: msgxmlqueue.h,v 1.4 2004/01/19 20:20:35 aquamaniac Exp $
    begin       : Sun Jul 06 2003
    copyright   : (C) 2003 by Martin Preuss
    email       : openhbci@aquamaniac.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef MSGQUEUEXML_H
#define MSGQUEUEXML_H

#ifdef __cplusplus

#include <openhbci2/msgqueue.h>
#include <gwenhywfar/db.h>
#include <openhbci2/customer.h>

#include <list>
using namespace std;


namespace HBCI {

  class MsgQueueXML: public MsgQueue {
  private:
    GWEN_DB_NODE *_cfg;
    unsigned int _msgnum;
    string _dialogid;
    Pointer<Customer> _owner;
    int _maxdiffjobs;

  public:
    MsgQueueXML(Pointer<Customer> cu,
                int maxdiffjobs);
    virtual ~MsgQueueXML();

    virtual void nextMessage();

    virtual int maxDifferentJobsPerQueue() { return _maxdiffjobs;};

    /** @name Properties
     *
     * These are properties which do not belong to a particular job but
     * rather to the whole message (like updated UPDs/BPDs).
     */
    /*@{*/
    virtual string getProperty(const string &name,
			       const string &defValue);
    virtual int getIntProperty(const string &name,
			       int defValue);
    virtual string getBinProperty(const string &name,
				  const string &defValue);

    virtual void setProperty(const string &name, const string &value);
    virtual void setIntProperty(const string &name, int value);
    virtual void setBinProperty(const string &name, const string &value);
    /*@}*/

    Pointer<Customer> owner() { return _owner;};
    GWEN_DB_NODE *queueResponse();

    /** @name methods private to the message engine
     *
     */
    /*@{*/
    /**
     *
     */
    GWEN_DB_NODE *queueData();
    /*@}*/

  };

} ; /* namespace */


#endif /* #ifdef __cplusplus */

#endif







