/***************************************************************************
  $RCSfile: swiftplugin.h,v $
  -------------------
  cvs         : $Id: swiftplugin.h,v 1.2 2004/01/19 20:20:35 aquamaniac Exp $
  begin       : Mon Jul 14 2003
  copyright   : (C) 2003 by Martin Preuss
  email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SWIFTPARSERPLUGIN_H
#define SWIFTPARSERPLUGIN_H


#define SWIFTPARSER_VMAJOR 1
#define SWIFTPARSER_VMINOR 0

#define SWIFT_MODULE_CURRENT 0
#define SWIFT_MODULE_REVISION 0
#define SWIFT_MODULE_AGE 0


#include <openhbci2/parserplugin.h>

namespace HBCI {
  /**
   *
   */
  class SwiftParserPlugin: public ParserPlugin {
  private:
  public:
    SwiftParserPlugin(Hbci *hbci);
    virtual ~SwiftParserPlugin();

    virtual string pluginName() const { return "swift";};
    virtual string description() const { return "SWIFT parser";};
    virtual unsigned int vmajor() const { return SWIFTPARSER_VMAJOR;};
    virtual unsigned int vminor() const { return SWIFTPARSER_VMINOR;};


    virtual int readBinType(GWEN_XMLNODE *node,
			    GWEN_DB_NODE *gr,
                            GWEN_BUFFER *gbuf);

    virtual int writeBinType(GWEN_XMLNODE *node,
                             GWEN_DB_NODE *gr,
                             GWEN_BUFFER *gbuf);

  };
}; /* namespace */




#endif



