/***************************************************************************
  $RCSfile: xptcp.h,v $
  -------------------
  cvs         : $Id: xptcp.h,v 1.3 2004/01/19 20:20:36 aquamaniac Exp $
  begin       : Sat Jul 05 2003
  copyright   : (C) 2003 by Martin Preuss
  email       : martin@libchipcard.de

 ***************************************************************************
 *                                                                         *
 *   This library is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU Lesser General Public            *
 *   License as published by the Free Software Foundation; either          *
 *   version 2.1 of the License, or (at your option) any later version.    *
 *                                                                         *
 *   This library is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     *
 *   Lesser General Public License for more details.                       *
 *                                                                         *
 *   You should have received a copy of the GNU Lesser General Public      *
 *   License along with this library; if not, write to the Free Software   *
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,                 *
 *   MA  02111-1307  USA                                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TRANSPORTERTCP_H
#define TRANSPORTERTCP_H

#define XPTCP_TYPENAME "xptcp"

#include <gwenhywfar/inetsocket.h>

#ifdef __cplusplus

#include <string>
using namespace std;

#include <openhbci2/transporter.h>

namespace HBCI {

  class TransporterTCP: public Transporter {
  private:
    int _lastReadPos;
    bool _isOpen;
    GWEN_SOCKET *_socket;

  public:
    TransporterTCP(const string &address,
		   const string &port,
		   int timeout);
    virtual ~TransporterTCP();
    virtual TransportType transportType() const;
    virtual Error startOpen();
    virtual Error checkOpen();
    virtual bool isOpen();
    virtual Error close();
    virtual string readBytes(int maxb);
    virtual Error writeBytes(const string &buffer);
    virtual string transporterTypeName() const;
  };


}; /* namespace */


#endif // #ifdef __cplusplus

#endif

